Subject: Re: [PATCH 00/20] packfile: avoid using the 'the_repository' global variable

From: Taylor Blau <[email-masked]>
Date: Sun, 27 Oct 2024 19:54:12 -0400

On Sun, Oct 27, 2024 at 05:23:24PM -0400, karthik nayak wrote:
> While thinking about this over the last few days and also getting some
> advice from Patrick, I realized that we don't need to be this disruptive
> by simply adding the 'repository' variable to the already existing
> 'packed_git' struct. This allows us to leverage this information more
> easily, since most of the functions already have access to the
> 'packed_git' struct.

Great idea!

> This, plus the series by Jeff 'jk/dumb-http-finalize' which also removes
> some existing functions. We reduce the impact to only 3 functions being
> modified.
>
> I think with such low impact, it might make more sense to not go with
> the Coccinelle approach, since it is a lot simpler without it.
>
> I'll post a new version tomorrow showcasing this approach, but I'll
> leave the final decision to you whether it is still disruptive, and if
> the approach you mentioned would be better.

I'll have to see the end result to know for sure, but it sounds like
this would be a good way to move it forward without being too
disruptive.

I wonder how it interacts with alternates, though...

Thanks,
Taylor